# -*- coding: utf-8 -*- 
# @Time    : 04/15/2024 
# @Author  : nzooherd 
# @File    : redeem.py 
# @Software: Visual Studio Code

from typing import Dict
from template import BaseTemplate


class RedeemInvalidTemplate(BaseTemplate):

    def __init__(self, gift: str) -> None:
        super().__init__()
        self.value = f"""
{self.head}

系统提示: 无效的兑换码 **{gift}** 。
"""
    
    def template(self) -> Dict[str, str]:
        return {"markdown": self.value}

class RedeemUsedTemplate(BaseTemplate):

    def __init__(self, gift: str) -> None:
        super().__init__()
        self.value = f"""
{self.head}

系统提示: 该兑换码 **{gift}** 已被使用。
"""
    
    def template(self) -> Dict[str, str]:
        return {"markdown": self.value}

class RedeemSuccessTemplate(BaseTemplate):

    def __init__(self, add: int, balance: int) -> None:
        super().__init__()
        self.value = f"""
{self.head}

**系统提示:**
充值 **{add}** 成功。
💰 当前余额: **{balance}** 元宝。
"""
    
    def template(self) -> str:
        return {"markdown": self.value}